## bbpager 0.4.7

=== debian/changelog ===
bbpager (0.4.7-10) unstable; urgency=medium

  * New maintainer. (Closes: #929534)
  * Improvements according appstream.debian.org hints:
      - Changed icon image:
          ~ Exported to debian/bbpager.png instead debian/bbpager.xpm format.
          ~ Scaled image from 48x48 to 64x64.
          ~ debian/source/include-binaries: added to allow the
            debian/bbpager.png file use.
      - debian/bbpager.desktop:
          ~ Fix information according specification 1.0.
          ~ Renamed to debian/net.sourceforge.bbpager.desktop.
      - debian/copyright: updated to include MIT license for
        debian/net.sourceforge.bbpager.metainfo.xml.
      - debian/install:
          ~ Added installation of net.sourceforge.bbpager.metainfo.xml in
            usr/share/metainfo.
          ~ Fixed renamed desktop entry file.
          ~ Fixed icon filename and destination to
            usr/share/icons/hicolor/64x64/apps.
      - debian/net.sourceforge.bbpager.metainfo.xml: created to provide
        metadata for software centers.
  * debian/docs: added the upstream TODO file.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Thu, 18 Jun 2020 00:17:29 -0300

bbpager (0.4.7-9) unstable; urgency=medium

  * QA upload.
  * Added icon. Consequently:
      - debian/bbpager.xpm: created icon.
      - debian/install: added entry for installation debian/bbpager.xpm in
        /usr/share/pixmaps.
  * debian/control: added the VCS fields.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Fri, 05 Jun 2020 16:38:17 -0300

bbpager (0.4.7-8) unstable; urgency=medium

  * QA upload.
  * Updated menu entry. Created debian/bbpager.desktop in substitution of
    debian/menu (see #741573). Consequently:
      - debian/install: created to install debian/bbpager.desktop in
        usr/share/applications dir.
      - debian/menu: removed.
  * debian/control:
      - Added 'Rules-Requires-root: no' to source stanza.
      - Removed unnecessary dependencies autotools-dev and quilt from
        Build-Depends field.
      - Updated the upstream homepage.
  * debian/copyright: updated to format 1.0.
  * debian/dirs: removed because this file is useless now.
  * debian/docs: removed data/README.bbpager. Installed via upstream
    data/Makefile.am.
  * debian/manpages: added to install debian/bbpager.1.
  * debian/patches/:
      - Removed not used old dpatch files '00list' and '02_gcc43.dpatch'.
      - 02_gcc43.diff:
          ~ Changed includes.
          ~ Renamed to 020_gcc43.patch.
          ~ Updated header.
      - 03_binutils-gold.diff:
          ~ Fixed changes in scr/Makefile.am.
          ~ Removed changes in src/Makefile.in.
          ~ Renamed to 010_binutils-gold.patch.
          ~ Updated header.
      - 030_fix-data-dir-installation.patch: added to fix installation of files
        from data dir according FHS 3.0.
      - 040_update-configure.ac.patch: added to update macros syntax.
    * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS to improve GCC hardening.
      - Migrated to (reduced) format. (Closes: #960296)
    * debian/tests/control:
        - Added 'Restrictions: superficial' because this is a very simple test.
        - Improved grep to ignores case sensitive characters.
        - Removed redirection to stderr because command output in stdout.
    * debian/upstream/metadata: created.
    * debian/watch:
        - Bumped to version 4.
        - Improved regular expression.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Mon, 01 Jun 2020 15:06:14 -0300

bbpager (0.4.7-7) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/tests/control: created to perform trivial CI test.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Tue, 19 May 2020 15:12:11 -0300

bbpager (0.4.7-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #929534)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Sat, 09 May 2020 15:03:30 -0300

bbpager (0.4.7-5) unstable; urgency=low

  * As per changes made in version 0.4.7-4, switched to dpkg-source 3.0 (quilt
    format). Closes: #670075.
  * As per changes made in version 0.4.7-4, added patch to fix FTBFS with
    binutils-gold. Thanks to Mahyuddin Susanto <udienz@gmail.com>.
    Closes: #608821.

 -- Kevin Coyner <kcoyner@debian.org>  Mon, 10 Oct 2016 22:13:25 -0400

bbpager (0.4.7-4) unstable; urgency=medium

  * Added compiler flag -fPIC to debian/rules to address FTBFS bug.
    Closes: #835034.
  * debian/rules:
    + Added appropriate changes to debian/rules to remove dpatch calls in favor
      of quilt.
    + Added include call to quilt.
    + Updated dh_clean -k to dh_prep.
    + Added build commands to build-arch build-indep.
    + Added dh_clean command to unpatch.
  * Switched to dpkg-source 3.0 (quilt) format. Added debian/source/format
    file.
  * debian/control:
    + Added quilt to Build-Depends and removed dpatch.
    + Bumped Standards-Version to 3.9.8. No changes.
    + debhelper version bumped to 9.
  * Updated debian/compat to version 9.

 -- Kevin Coyner <kcoyner@debian.org>  Mon, 10 Oct 2016 20:07:52 -0400

bbpager (0.4.7-3) unstable; urgency=low

  * Updated again FTBFS gcc43 patch for missing include statement in
    src/resource.cxx. Thanks to Thiemo Seufer. Closes: #474811.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 09 Apr 2008 22:00:10 -0400

bbpager (0.4.7-2) unstable; urgency=low

  * Updated FTBFS gcc43 patch for missing include statement in
    src/Baseresource.cxx.  Thanks to Kumar Appaiah. Closes: #456071.

 -- Kevin Coyner <kcoyner@debian.org>  Fri, 28 Mar 2008 06:50:57 -0400

bbpager (0.4.7-1) unstable; urgency=low


