=== debian/control ===
Source: bbpager
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libbt-dev,
               libice-dev,
               libsm-dev,
               libx11-dev,
               libxext-dev,
               libxt-dev
Maintainer: Bruno Naibert de Campos <bruno.naibert@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/bbtools
Vcs-Browser: https://salsa.debian.org/debian/bbpager
Vcs-Git: https://salsa.debian.org/debian/bbpager.git

Package: bbpager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: blackbox (>= 0.70) | openbox | fluxbox
Description: Pager for the blackbox and fluxbox window managers
 A pager tool for the Blackbox window manager or one of its derivatives. It
 supports the usual Blackbox styles, moving windows between desktops, and
 optional placement in the Blackbox slit. It is also possible to define how
 the desktops are displayed by defining the number of rows or columns to use.
