=== debian/tests/control ===
Test-Command: bbpager -h | grep -i Usage
Restrictions: superficial
