=== debian/watch ===
version=4
http://sf.net/bbtools/bbpager-@ANY_VERSION@@ARCHIVE_EXT@
